package cli;

import org.apache.commons.cli.*;

public class CommandLineInterface {

    private Options options;

    public CommandLineInterface(){
        this.options = new Options();
        addOptions();
//        options.addOption("create", "create an issue");
//        options.addOption("push", "push issues");
    }

    public void addOptions(){
        Option createIssue = Option.builder("n")
                .longOpt("new")
                .argName("title")
                .hasArg()
                .desc("create new issue with given title")
                .build();
        options.addOption(createIssue);
    }

    public CommandLine getInput(String[] userInput) throws ParseException {
        CommandLineParser parser = new DefaultParser();
        return parser.parse(options, userInput);
    }
}
